apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    a8r.io/repository: ssh://git@git.tr1ceracop.de:222/gitea_admin/k8s-and-chill.git
    cert-manager.io/cluster-issuer: letsencrypt
  labels:
    app.kubernetes.io/instance: matrix-synapse
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: matrix-synapse
    app.kubernetes.io/version: 1.152.0
    helm.sh/chart: matrix-synapse-3.12.26
  name: matrix-synapse
  namespace: matrix
spec:
  ingressClassName: traefik
  rules:
    - host: matrix.tr1ceracop.de
      http:
        paths:
          - backend:
              service:
                name: matrix-synapse
                port:
                  number: 8008
            path: /_matrix
            pathType: Prefix
          - backend:
              service:
                name: matrix-synapse
                port:
                  number: 8008
            path: /_synapse
            pathType: Prefix
          - backend:
              service:
                name: matrix-synapse
                port:
                  number: 8008
            path: /.well-known/matrix
            pathType: Prefix
  tls:
    - hosts:
        - matrix.tr1ceracop.de
      secretName: matrix-tls
